Install LabyMod 1.8.9 v3.8.32

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (LabyMod 1.8.9 v3.8.32) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select LabyMod 1.8.9 v3.8.32 from the list on the left. The launcher will handle everything else!

LabyMod 1.8.9 v3.8.32 Version 3.8.32

created by Jan_Soušek on Minecraft 1.8.9
I finally updated LabyMod to version 3.8.32 Sorry for not updating for 5 months
Jan_Soušek 2 months ago
LabyMod 1.8.9 v3.8.32 was updated to version 3.8.32 2 months ago
updated to Labymod 3.7.5 I'm so sorry for the dealy of updating. I've been really busy. hope you understand.
Jan_Soušek 8 months ago
LabyMod 1.8.9 v3.8.32 was updated to version 3.7.5 8 months ago
updated to LabyMod 3.6.13
Jan_Soušek 10 months ago
LabyMod 1.8.9 v3.8.32 was updated to version 3.6.13 10 months ago
LabyMod wasnt updated in a while now... Check their discord for updates! - https://discord.com/invite/labymod If you want to join my Discord heres the link! - https://discord.gg/q6U2btD We host Minecraft events and we have SkyBlock!
Jan_Soušek 11 months ago
updated to LabyMod 3.6.12
LabyMod 1.8.9 v3.8.32 was updated to version 3.6.12 1 year ago
updated to LabyMod 3.6.11
LabyMod 1.8.9 v3.8.32 was updated to version 3.6.11 1 year ago
updated to LabyMod 3.6.10
LabyMod 1.8.9 v3.8.32 was updated to version 3.6.10 1 year ago
updated to LabyMod 3.6.9
LabyMod 1.8.9 v3.8.32 was updated to version 3.6.9 1 year ago
updated to LabyMod 3.6.8
LabyMod 1.8.9 v3.8.32 was updated to version 3.6.8 1 year ago
updated to LabyMod 3.6.7 (version 3.6.6 didnt work so sorry about that)
LabyMod 1.8.9 v3.8.32 was updated to version 3.6.7 1 year ago
updated to LabyMod 3.6.6

Latest Update

I finally updated LabyMod to version 3.8.32 Sorry for not updating for 5 months